## org.apache.log4j.net
Class TelnetAppender.SocketHandler

    java.lang.Object
      java.lang.Thread
          org.apache.log4j.net.TelnetAppender.SocketHandler

All Implemented Interfaces:
  Runnable

Enclosing class:
  TelnetAppender

    protected class TelnetAppender.SocketHandler

extends Thread

The SocketHandler class is used to accept connections from clients. It is threaded so that clients can connect/disconnect asynchronously.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`TelnetAppender.SocketHandler(int port)`

Method Summary
`void` `close()` make sure we close all network connections when this handler is destroyed.
`void` `finalize()`
`void` `run()` Continually accepts client connections.
`void` `send(String message)` sends a message to each of the clients in telnet-friendly output.

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TelnetAppender.SocketHandler

    public TelnetAppender.SocketHandler(int port)
                                 throws IOException

Throws:
  `IOException`

Method Detail

### finalize

    public void finalize()

  Overrides:
    `finalize` in class `Object`

### close

    public void close()

  make sure we close all network connections when this handler is destroyed.

  Since:
    1.2.15

### send

    public void send(String message)

  sends a message to each of the clients in telnet-friendly output.

### run

    public void run()

  Continually accepts client connections. Client connections are refused when MAX_CONNECTIONS is reached.

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

Copyright © 1999-2010 Apache Software Foundation. All Rights Reserved.